/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;



/// <summary> Specifies the primary key of an entity.
    /// <para>
/// The field or property to which the <c>Id</c> annotation is applied 
/// should be one of the following types: 
/// </para>
/// <para>
/// any primitive type; 
/// </para>
/// <para>
/// any primitive wrapper type; 
    /// </para>
    /// <para>
/// <c>String</c>; 
    /// </para>
    /// <para>
/// <c>System.DateTime</c>; 
    /// </para>
    /// <para>
/// <c>System.Data.DbType.Date</c>; 
    /// </para>
    /// <para>
/// <c>System.Decimal</c>;
    /// </para>
    /// <para>
/// <c>System.Numerics.BigInteger</c>.
    /// </para>
    /// <para>
/// The mapped column for the primary key of the entity is assumed 
/// to be the primary key of the primary table. If no <c>Column</c> annotation 
/// is specified, the primary key column name is assumed to be the name 
/// of the primary key property or field.
/// </para>
/// <example><code>
///   Example:
/// 
///   &#91;Id&#93;
///   public Long getId() { return id; }
/// </code></example>
/// 
/// <seealso cref="Column"/>
/// <seealso cref="GeneratedValue"/>
/// 
/// 
/// 
/// </summary>
[System.AttributeUsage(System.AttributeTargets.Field | System.AttributeTargets.Property)]


public sealed class Id : System.Attribute {}
}