/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> Defines inheritance strategy options.
/// 
/// 
/// </summary>
public enum InheritanceType { 

    /// <summary> A single table per class hierarchy.
    /// </summary>
    SINGLE_TABLE, 

    /// <summary> A table per concrete entity class.
    /// </summary>
    TABLE_PER_CLASS, 

    /// <summary> 
    /// A strategy in which fields that are specific to a 
    /// subclass are mapped to a separate table than the fields 
    /// that are common to the parent class, and a join is 
    /// performed to instantiate the subclass.
    /// </summary>
    JOINED 
}
}