/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;



    /// <summary> Describes a single container or persistence provider property.
    /// <para>Used in <see cref="PersistenceContext"/>.
    /// </para><para>
///  Vendor specific properties may be included in the set of 
/// properties, and are passed to the persistence provider by the 
/// container when the entity manager is created.
    /// </para><para>Properties that 
/// are not recognized by a vendor will be ignored.
/// </para>
/// 
/// </summary>


public sealed class PersistenceProperty : System.Attribute {

    /// <summary> The name of the property/// </summary>
    public string Name;

    /// <summary> The value of the property/// </summary>
    public string Value; public PersistenceProperty() {} public PersistenceProperty(string value) { Value = value; } 

}
}