/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

    /// <summary> This annotation must be specified for persistent fields 
    /// or properties of type <c>System.DateTime</c> and 
    /// <c>System.DateTime</c>. 
    /// <para>
    /// It may only be specified for fields 
    /// or properties of these types.
    /// </para><para>
    ///  The <c>Temporal</c> annotation may be used in 
    /// conjunction with the <see cref="Basic"/> annotation, the <see cref="Id"/>
    /// annotation, or the <see cref="ElementCollection"/> annotation (when
    /// the element collection value is of such a temporal type.
    /// </para>
    /// <example><code>
    ///     Example:
    /// 
    ///     &#91;Temporal(DATE)&#93;
    ///     protected System.DateTime endDate;
    /// </code></example>
    /// 
    /// </summary>
    [System.AttributeUsage(System.AttributeTargets.Field | System.AttributeTargets.Property)] 

public sealed class Temporal : System.Attribute {

    /// <summary> The type used in mapping <c>System.DateTime</c> or <c>System.DateTime</c>
    /// </summary>
    public TemporalType Value; public Temporal() {} public Temporal(TemporalType value) { Value = value; } 
}
}