/*****************************************************************************
/// Copyright (c) 2008, 2009 Sun Microsystems. All rights reserved. 
/// 
/// This program and the accompanying materials are made available under the 
/// terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 
/// which accompanies this distribution. 
/// The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
/// and the Eclipse Distribution License is available at 
/// http://www.eclipse.org/org/documents/edl-v10.php.
/// 
/// Contributors:
///     Linda DeMichiel - Java Persistence 2.0 - Version 2.0 (October 1, 2009)
///     Specification available from http://jcp.org/en/jsr/detail?id=317
/// 
/*****************************************************************************/
namespace NPersistence { using System; using System.Reflection; using System.Collections; using System.Collections.Generic;

/// <summary> The <c>TupleElement</c> interface defines an element that is returned in
/// a query result tuple.
    /// <para>
/// <typeparam name ="X"> the type of the element</typeparam>
/// </para>
/// <seealso cref="Tuple"/>
/// 
/// 
/// </summary>
public interface TupleElement<X> {
    
    /// <summary> Return the type of the tuple element.</summary>
    /// <returns> the type of the tuple element</returns>
    /// 
    System.Type GetType();

    /// <summary> Return the alias assigned to the tuple element or null, 
    /// if no alias has been assigned.</summary>
    /// <returns> alias</returns>
    /// 
    string GetAlias();
}
}